package com.javacodegeeks.examples;

import java.math.BigDecimal;
import java.math.RoundingMode;

import org.apache.commons.math3.util.Precision;
import org.decimal4j.util.DoubleRounder;

public class DecimalNumberRounder {
	public static double roundNumbers(double number, int places) {

		double scale = Math.pow(10, places);
		return Math.round(number * scale) / scale;
	}

	public static double roundUsingBigDecimal(double number, int places) {
		BigDecimal x = BigDecimal.valueOf(number).setScale(places, RoundingMode.HALF_UP);
		return x.doubleValue();
	}

	public static double roundUsingStringFormator(double number, int places) {
		return Double.parseDouble(String.format("%." + places + "f", number));
	}

	public static double roundUsingDecimal4J(double number, int places) {
		return Precision.round(number, places);
	}

	public static double roundUsingApacheCommonsMath3(double number, int places) {
		return DoubleRounder.round(number, places);
	}
}